Bug 1396965 (CVE-2016-9390) - CVE-2016-9390 jasper: insufficient SIZ marker tilexoff and tileyoff checks
Summary: CVE-2016-9390 jasper: insufficient SIZ marker tilexoff and tileyoff checks
Status: CLOSED ERRATA
Alias: CVE-2016-9390
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161024,reported=2...
Keywords: Security
Depends On: 1396986 1396987 1396988 1396989 1439171 1439172 1439173 1439174
Blocks: 1314477
TreeView+ depends on / blocked
 
Reported: 2016-11-21 09:57 UTC by Adam Mariš
Modified: 2019-04-28 13:22 UTC (History)
27 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-05-09 21:45:07 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1208 normal SHIPPED_LIVE Important: jasper security update 2017-05-09 21:13:57 UTC

Description Adam Mariš 2016-11-21 09:57:29 UTC
An assertion failure was found in jasper triggered when tiles lie outside of the image area.

Upstream patch:

https://github.com/mdadams/jasper/commit/ba2b9d000660313af7b692542afbd374c5685865

CVE assignment:

http://seclists.org/oss-sec/2016/q4/441

Comment 1 Adam Mariš 2016-11-21 10:32:54 UTC
Created mingw-jasper tracking bugs for this issue:

Affects: fedora-all [bug 1396987]
Affects: epel-7 [bug 1396989]

Comment 2 Adam Mariš 2016-11-21 10:33:13 UTC
Created jasper tracking bugs for this issue:

Affects: fedora-all [bug 1396986]
Affects: epel-5 [bug 1396988]

Comment 3 Tomas Hoger 2017-03-02 22:54:57 UTC
This issue was reported upstream in:

https://github.com/mdadams/jasper/issues/49
https://github.com/mdadams/jasper/issues/53

It was first incorrectly fixed in version jasper 1.900.13 by protecting against integer overflows in jpc_dec_process_siz() - see CVE-2016-9387 / bug 1396959.  Re-fixed in version 1.900.14 using the fix linked to from comment 0.

The impact of this flaw seems to be limited to triggering an assertion failure in jas_seq2d_create() function.  Failed assertion causes program to exit unexpectedly, but does not allow code execution.  As a precaution against impacts other than the known assertion failure, it may get addressed in future jasper packages in Red Hat Enterprise Linux 6 and 7.

Comment 4 Tomas Hoger 2017-03-02 22:55:52 UTC
Original reporter's advisory:

https://blogs.gentoo.org/ago/2016/11/16/jasper-multiple-assertion-failure/

Relevant info from the advisory:

Affected version:
1.900.13

Output/failure:
imginfo: /tmp/portage/media-libs/jasper-1.900.13/work/jasper-1.900.13/src/libjasper/base/jas_seq.c:90: jas_matrix_t *jas_seq2d_create(int, int, int, int): Assertion `xstart <= xend && ystart <= yend' failed.

Commit fix:
https://github.com/mdadams/jasper/commit/ba2b9d000660313af7b692542afbd374c5685865

Fixed version:
1.900.14

Testcase:
https://github.com/asarubbo/poc/blob/master/00007-jasper-assert-jas_matrix_t

CVE:
CVE-2016-9390

Comment 6 errata-xmlrpc 2017-05-09 17:19:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1208 https://access.redhat.com/errata/RHSA-2017:1208


Note You need to log in before you can comment on or make changes to this bug.